Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name: 		gnome-applet-netspeed    
Version: 	0.14
Release: 	2
Summary: 	GNOME applet that shows traffic on a network device

Group: 		Networking/Other
License: 	GPL   
URL: 		http://mfcn.ilo.de/netspeed_applet
Source0: 	http://www.wh-hms.uni-ulm.de/~mfcn/netspeed/packages/netspeed_applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	pkg-config gettext scrollkeeper intltool
BuildRequires: 	perl-XML-Parser
BuildRequires: 	libgnomeui-devel libgtop-devel
BuildRequires: 	gnome-panel-devel libnotify-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
netspeed is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%prep
%setup -q -n netspeed_applet-%{version}

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/gnome-applet-netspeed \
--localstatedir=/var/lib
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang netspeed_applet

%post
scrollkeeper-update -q -o %{_datadir}/omf/netspeed_applet || : 

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f netspeed_applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%doc %{_datadir}/gnome/help/netspeed_applet/
%{_libdir}/gnome-applet-netspeed/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/netspeed_applet/

%changelog
* Wed Mar 26 2008 Christian Wasem <wasem@ccux-linux.de> 0.14-2
- changed package group to Networking/Other
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.14-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.13-1
- Initial release
